Manual do PHP
Anterior |  | Próxima

# debug_zval_dump

(PHP 4 >= 4.2.0, PHP 5)

debug_zval_dump -- Dumps a string representation of an internal zend value to output

## Descrição

void debug_zval_dump ( mixed variable )

Dumps a string representation of an internal zend value to output.

## Lista de parâmetros

variable

  The variable being evaluated.

## Valores Retornados

Não há valor retornado.

## Exemplos

Exemplo 1. debug_zval_dump() example

`<?php $var1 = 'Hello World'; $var2 = ''; $var2 =& $var1; debug_zval_dump($var1); ?>`

O exemplo acima irá imprimir:

    string(11) "Hello World" refcount(1)

## Veja também

var_dump()
debug_backtrace()
References Explained

Anterior | Principal | Próxima
Variáveis, Funções | Acima | doubleval